### Function

# Gcr secure_memory_strfree

since: 4

#### Declaration [src]

    void
    gcr_secure_memory_strfree (
      gchar* string
    )

#### Description [src]

Free a string, whether securely allocated using these functions or not. This will also clear out the contents of the string so they do not remain in memory.

Available since: 4

This function is not directly available to language bindings.

#### Parameters

`string`

  Type: `gchar*`

  Null terminated string to fere.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.